aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/%HOME%/.bash_utils
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2017-01-16 15:22:20 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2017-01-16 15:22:20 +0300
commitb8932ba3c6a17a5583a69de1bfc14ffa5216932b (patch)
treee73da46251ab5c74133c3b43cb5e1ff0eec91f02 /%HOME%/.bash_utils
parentcode style (diff)
downloadlinux-home-b8932ba3c6a17a5583a69de1bfc14ffa5216932b.tar.gz
linux-home-b8932ba3c6a17a5583a69de1bfc14ffa5216932b.zip
branch_eol_normalized: bugfix
Diffstat (limited to '%HOME%/.bash_utils')
-rw-r--r--%HOME%/.bash_utils/git.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/%HOME%/.bash_utils/git.sh b/%HOME%/.bash_utils/git.sh
index 456f29e..c557607 100644
--- a/%HOME%/.bash_utils/git.sh
+++ b/%HOME%/.bash_utils/git.sh
@@ -41,7 +41,7 @@ branch_eol_normalized() (
fi
local path
- if ! path="$( expr "$line" : $'.*\t\\(.*\\)' )"; then
+ if ! path="$( expr "$line" : $'[^\t]*\t\\(.*\\)' )"; then
echo "${FUNCNAME[0]}: couldn't extract file path from: $line" >&2
return 1
fi